Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface OtherSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  OtherSituationImpl

public interface OtherSituation
extends SituationType

A representation of the model object 'Other Situation'.

The OtherSituation category is to provide support for the situation that is product specific requirement other than the predefined categories.

Since:
  1.0.1

  The following features are supported:

  - `Any`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getOtherSituation()`

Method Summary
`java.lang.String` | `getAny()` Returns the value of the 'Any' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setAny(java.lang.String value)` Sets the value of the '`Any`' attribute.

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAny

    public java.lang.String getAny()

  Returns the value of the 'Any' attribute.

  Returns:
    the value of the 'Any' attribute.
  See Also:
    `setAny(String)`, `EventPackage.getOtherSituation_Any()`

### setAny

    public void setAny(java.lang.String value)

  Sets the value of the '`Any`' attribute.

  The CBE specification does not restrict the contents of this value in any way.

  Parameters:
    `value` - the new value of the 'Any' attribute.
  See Also:
    `getAny()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD